<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/inc/sys.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">sys.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="sys_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifndef __SYS_H__</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define __SYS_H__</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">/*  Module Reset Control Resister constant definitions.                                                    */</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ee0de9769cd0989ec8ad938fc7662ba">   34</a></span>&#160;<span class="preprocessor">#define ADC_RST  ((0x4&lt;&lt;24) | SYS_IPRSTC2_ADC_RST_Pos  ) </span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac1c657c097ab467f731997d1cb60fc65">   35</a></span>&#160;<span class="preprocessor">#define ACMP_RST ((0x4&lt;&lt;24) | SYS_IPRSTC2_ACMP_RST_Pos ) </span></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaafd3a33d490cda17ccdc422d815c03ad">   36</a></span>&#160;<span class="preprocessor">#define PWM_RST  ((0x4&lt;&lt;24) | SYS_IPRSTC2_PWM_RST_Pos  ) </span></div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4766febaf94a106fc97d68bf5730e0a4">   37</a></span>&#160;<span class="preprocessor">#define UART_RST ((0x4&lt;&lt;24) | SYS_IPRSTC2_UART_RST_Pos ) </span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab0c957dd9e111cb750a9342efee2b4a7">   38</a></span>&#160;<span class="preprocessor">#define SPI_RST  ((0x4&lt;&lt;24) | SYS_IPRSTC2_SPI_RST_Pos  ) </span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5f5009f2f29d9a529d3354db3a03dcc">   39</a></span>&#160;<span class="preprocessor">#define I2C_RST  ((0x4&lt;&lt;24) | SYS_IPRSTC2_I2C_RST_Pos  ) </span></div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72d926ea5a6e6fe596e9805607a99bbd">   40</a></span>&#160;<span class="preprocessor">#define TMR1_RST ((0x4&lt;&lt;24) | SYS_IPRSTC2_TMR1_RST_Pos ) </span></div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae2a280a1b89c2ceeeebcca9f9856afef">   41</a></span>&#160;<span class="preprocessor">#define TMR0_RST ((0x4&lt;&lt;24) | SYS_IPRSTC2_TMR0_RST_Pos ) </span></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5ee0c075825ac980f420f0e0483c8634">   42</a></span>&#160;<span class="preprocessor">#define GPIO_RST ((0x4&lt;&lt;24) | SYS_IPRSTC2_GPIO_RST_Pos ) </span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor"></span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span><span class="preprocessor"></span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">/*  Brown Out Detector Threshold Voltage Selection constant definitions.                                   */</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6577a2c57b407fe219021f8e34a76093">   48</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_RST_EN              (1UL&lt;&lt;SYS_BODCR_BOD_RSTEN_Pos)    </span></div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e5678085e7bd81b8c05432a19da44b">   49</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_INTERRUPT_EN        (0UL&lt;&lt;SYS_BODCR_BOD_RSTEN_Pos)    </span></div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade2b4abdfddeaca2a2fd966db05ebef7">   50</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_DISABLE             (3UL&lt;&lt;SYS_BODCR_BOD_VL_Pos)       </span></div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ca08af54f9e9a5292da4013a7f5b5f5">   51</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_VL_4_4V             (3UL&lt;&lt;SYS_BODCR_BOD_VL_Pos)       </span></div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e07729ba5db932a357cfe6b063d3138">   52</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_VL_3_7V             (2UL&lt;&lt;SYS_BODCR_BOD_VL_Pos)       </span></div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc6ed84e99e86c3ba5fc1f043b64cbc6">   53</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_VL_2_7V             (1UL&lt;&lt;SYS_BODCR_BOD_VL_Pos)       </span></div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1787ca2122385b91fd1ee118a0a2801">   54</a></span>&#160;<span class="preprocessor">#define SYS_BODCR_BOD_VL_2_2V             (0UL&lt;&lt;SYS_BODCR_BOD_VL_Pos)       </span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor"></span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span><span class="preprocessor"></span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment">/*  Multi-Function constant definitions.                                                                   */</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga650efb825efc2a339dd043959fea1041">   60</a></span>&#160;<span class="preprocessor">#define SYS_MFP_TYPE_Msk(bit)       (1UL &lt;&lt; ((bit) +16)) </span></div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga43e9fe9627e1acb925aa3333f2da6847">   61</a></span>&#160;<span class="preprocessor">#define SYS_MFP_ALT_Msk(bit)        (1UL &lt;&lt; ((bit) + 8)) </span></div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga60adeb4bc222a93d6feacbf305e2a43f">   62</a></span>&#160;<span class="preprocessor">#define SYS_MFP_MFP_Msk(bit)        (1UL &lt;&lt; ((bit)    )) </span></div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9775b1cf7ba5e8ef68fe0c0a09ea187f">   64</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P00_GPIO    0x00000000UL </span></div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac4f1f94b14854fc0df76940dd0c94fe4">   65</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P00_CTS     0x00000100UL </span></div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac489fdb102b5166e3f60b4131fd6ab61">   66</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P00_TXD     0x00000101UL </span></div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae655425d82b95b9fb31290b3ba8dd883">   67</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P00_Msk     0x01000101UL </span></div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga79120d379cbfbff6dec15f4c9580b6f7">   69</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P01_GPIO    0x00000000UL </span></div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga398ba5715d556ff92a091322fc7813f0">   70</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P01_SPISS   0x00000002UL </span></div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffbd8077e326cbc851ce604eebcbd535">   71</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P01_RTS     0x00000200UL </span></div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacab6568eaca134e48f2dea0088a1a732">   72</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P01_RXD     0x00000202UL </span></div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafdd2db5f62dc7c677aa7efe49b3ba19c">   73</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P01_Msk     0x02000202UL </span></div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab59e7ccfe4cc14e3896a93cbee0c57a4">   75</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P04_GPIO    0x00000000UL </span></div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f25f55626e6ed730b97a3bb02713123">   76</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P04_SPISS   0x00001000UL </span></div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf37a3cdc7e46295cbacb460e21b6b2a2">   77</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P04_PWM5    0x00001010UL </span></div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fd7fb48614f2f0914dbfbd36681a59e">   78</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P04_Msk     0x00001010UL </span></div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f693b0037eba21f906cc7c5bf9c4e45">   80</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P05_GPIO    0x00000000UL </span></div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga025b7bc0c018fb0ec7b49f9c708dc467">   81</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P05_MOSI    0x00002000UL </span></div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17250650a7847bbcd3d32e76875cc640">   82</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P05_Msk     0x00002020UL </span></div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9d4b108599acf478255f93c11cd21f74">   84</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P06_GPIO    0x00000000UL </span></div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac86736a6946c44abecc9f7841e7e35f">   85</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P06_MISO    0x00004000UL </span></div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf746d74246f2a7489d98068cebf0d03c">   86</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P06_Msk     0x00004040UL </span></div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga23ec67461aedf138548c2112958ad88b">   88</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P07_GPIO    0x00000000UL </span></div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga14efb7aac8c3c18feb77ae50ec658902">   89</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P07_SPICLK  0x00008000UL </span></div><div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e54750b2a33fadc74a11286eacaf55d">   90</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P07_Msk     0x00008080UL </span></div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad4be398ddf7d8be6d16b2f9d8ab87ab0">   92</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P10_GPIO    0x00000000UL </span></div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5867ad75f791eb7a3ec88c2d8bf40be8">   93</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P10_AIN1    0x00000001UL </span></div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48360e39db9bd7693efe56948b018c68">   94</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P10_CPP0    0x00000101UL </span></div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4bd4b0863bc5192bc1c0ec281e318ca9">   95</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P10_Msk     0x00000101UL </span></div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8bff6ca04099fa09839534ce49e52b7">   97</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P12_GPIO    0x00000000UL </span></div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a17d47c00a49fde9c92ad559fa54d8f">   98</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P12_AIN2    0x00000004UL </span></div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb874067c3786130f1806aedbce7db35">   99</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P12_RXD     0x00000400UL </span></div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga26ae6306948e81d893040f759982d53e">  100</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P12_CPP0    0x00000404UL </span></div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga286e294fabad84cf714d03078db447e0">  101</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P12_Msk     0x00000404UL </span></div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e388e2639434ce846862720f11c4dba">  103</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P13_GPIO    0x00000000UL </span></div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52b5697379f9aae41e738dd06407ca75">  104</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P13_AIN3    0x00000008UL </span></div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb7de90cbcba130b7b78666fb9efe923">  105</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P13_TXD     0x00000800UL </span></div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7d09b399cc931dce1f3821ba63c0e4a">  106</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P13_CPP0    0x00000808UL </span></div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga113490423252e6274c479b0c7ec534f4">  107</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P13_Msk     0x00000808UL </span></div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ebd489bcb643cf793fbb07bf51c3d09">  109</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P14_GPIO    0x00000000UL </span></div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b6210919f4cc2931ca3057323e5eb2d">  110</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P14_AIN4    0x00000010UL </span></div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2126fbd84b6e5bf474f159075c46f5f6">  111</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P14_CPN0    0x00001010UL </span></div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga214d3ea3329a216c0cd5e78812509604">  112</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P14_Msk     0x00001010UL </span></div><div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga66bc9088d60241c6649082c63a7d31e0">  114</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P15_GPIO    0x00000000UL </span></div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae349279d6d6704a5a0ce5152e06e7717">  115</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P15_AIN5    0x00000020UL </span></div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4a02392537b3e0a22157fd0f9c67371a">  116</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P15_CPP0    0x00002020UL </span></div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaca623f2addcca6ea3e80ce7632b11e97">  117</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P15_Msk     0x00002020UL </span></div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e27e5b9ec6641d2439315ca88061188">  119</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P22_GPIO    0x00000000UL </span></div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7e0c3c3d96fddfa159d00ef32ebfd9b">  120</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P22_PWM0    0x00000400UL </span></div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga00f6f91008119bb0dad298b664259a4d">  121</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P22_Msk     0x00000404UL </span></div><div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga29e37019b9bbff4d67aa47a241b75c7d">  123</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P23_GPIO    0x00000000UL </span></div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga574a1e18ab7491283c05215984364858">  124</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P23_PWM1    0x00000800UL </span></div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80e5552ebb55b4ca6b4142d3bbf8a99">  125</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P23_Msk     0x00000808UL </span></div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab57cdabdf55f993c4c76945f141b02b9">  127</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P24_GPIO    0x00000000UL </span></div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac5486b602632ae1ebcc19396821fa24d">  128</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P24_PWM2    0x00001000UL </span></div><div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga23b172b7ec01f9e6644a23c892fe844d">  129</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P24_Msk     0x00001010UL </span></div><div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6d62bc0881cfc943c4b555e2adb520a1">  131</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P25_GPIO    0x00000000UL </span></div><div class="line"><a name="l00132"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70a308ce58dc9a61743b5df8621abee">  132</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P25_PWM3    0x00002000UL </span></div><div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa10b554144237fae72e6b8399841e2be">  133</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P25_Msk     0x00002020UL </span></div><div class="line"><a name="l00135"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad7be5ebaa29b4dd96504dd26fa3654f">  135</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P26_GPIO    0x00000000UL </span></div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga02e27ef62fa67b060307b2f6995d05ec">  136</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P26_PWM4    0x00004000UL </span></div><div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga187e83461b75e40a267fb6412474e82a">  137</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P26_CPO1    0x00004040UL </span></div><div class="line"><a name="l00138"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab6517810b92a29c9ca4d32cb79630a78">  138</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P26_Msk     0x00004040UL </span></div><div class="line"><a name="l00140"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3d3499f42e814f467d5b4d37bb1311d">  140</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P30_GPIO    0x00000000UL </span></div><div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6b8b48b79913a7efcb0cf480cea880a2">  141</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P30_CPN1    0x00000100UL </span></div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac42a3dfd42090dd860fe974e74fca87d">  142</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P30_AIN6    0x00000101UL </span></div><div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga782710f6619e384f870b763b223ae96f">  143</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P30_Msk     0x00000101UL </span></div><div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30125d7ee1e9029c68d7cdb0f8b2bc57">  145</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P31_GPIO    0x00000000UL </span></div><div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae340cbdd261a038ee8231105b3ea7e20">  146</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P31_CPP1    0x00000200UL </span></div><div class="line"><a name="l00147"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1b40f3c704fc926c30a93b3eb91b1b06">  147</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P31_AIN7    0x00000202UL </span></div><div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga646293369a4e7238878b345f7b3606a1">  148</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P31_Msk     0x00000202UL </span></div><div class="line"><a name="l00150"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52dcb36db9db4074588eb4c160ebfd0a">  150</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P32_GPIO    0x00000000UL </span></div><div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8ac65da680a8bb4127d54914b537935f">  151</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P32_INT0    0x00000004UL </span></div><div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga90a12ddd3957f02e5340c5cc48c3fc85">  152</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P32_T0EX    0x00000400UL </span></div><div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95926374972723c07648d6760012b9f5">  153</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P32_STADC   0x00000404UL </span></div><div class="line"><a name="l00154"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab6ec033325364c24e9ed673c28bcf73e">  154</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P32_CPP1    0x01000000UL </span></div><div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2354e98d855e74ec2c20272e0c6a8043">  155</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P32_Msk     0x01000404UL </span></div><div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9d8627612ca9f4d5ae4dc776a9712056">  157</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P34_GPIO    0x00000000UL </span></div><div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c922c3033c83feddee3f2983c68b6d8">  158</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P34_T0      0x00000010UL </span></div><div class="line"><a name="l00159"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacb3b720b655413f43327da7097540991">  159</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P34_SDA     0x00001000UL </span></div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadd52047e4d3857da9f07a077d2e0e303">  160</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P34_CPP1    0x00001010UL </span></div><div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4da3707de7ff6feffb3f2a5cd50fe90d">  161</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P34_Msk     0x00001010UL </span></div><div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27dfbe8c9ae4af23dc0148f871678c5f">  163</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P35_GPIO    0x00000000UL </span></div><div class="line"><a name="l00164"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6c8e8bfbaeeeb7e9d53e835666aef711">  164</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P35_T1      0x00000020UL </span></div><div class="line"><a name="l00165"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf3d09f39e4d59a6f09c71cda67aed0e1">  165</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P35_SCL     0x00002000UL </span></div><div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a026a52ebb37362e14b09d9b701945a">  166</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P35_CPP1    0x00002020UL </span></div><div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3caf202552dc4db035e5d3dff5047ecd">  167</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P35_Msk     0x00002020UL </span></div><div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadfc0ac68c3f97f45817b0667e0a35754">  169</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P36_GPIO    0x00000000UL </span></div><div class="line"><a name="l00170"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa67fd7479ff8472e1846a77b4577c955">  170</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P36_T1EX    0x00000040UL </span></div><div class="line"><a name="l00171"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae058d5a5fe1066d85bf91a65ed0289d8">  171</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P36_CKO     0x00004000UL </span></div><div class="line"><a name="l00172"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa215ed97037012471d5dfffe0baaed7b">  172</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P36_CPO0    0x00004040UL </span></div><div class="line"><a name="l00173"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3778565afc42c78d8862f6df9b2a3873">  173</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P36_Msk     0x00004040UL </span></div><div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b4ce248f62ed891f82badff469eed13">  175</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P46_GPIO    0x00000000UL </span></div><div class="line"><a name="l00176"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30ef876a519bb7b883a9ab8fbdeb41ea">  176</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P46_ICE_CLK 0x00000040UL </span></div><div class="line"><a name="l00177"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22969b761ad49cfb5de13954d6b0296c">  177</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P46_Msk     0x00004040UL </span></div><div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9415816d723cbb0f2c44d3fa46b155a9">  179</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P47_GPIO    0x00000000UL </span></div><div class="line"><a name="l00180"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa63fad05e5ceef7a676b531b4df2ba2f">  180</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P47_ICE_DAT 0x00000080UL </span></div><div class="line"><a name="l00181"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5df49e75f556707c766cb1e61646a17">  181</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P47_Msk     0x00008080UL </span></div><div class="line"><a name="l00183"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9420105db76c6a72dd998fa8e0578cc9">  183</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P50_GPIO    0x00000000UL </span></div><div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ac3abb91a446b2dd2b72ee492b04e0b">  184</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P50_XTAL1   0x00000001UL </span></div><div class="line"><a name="l00185"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga250802295d082129d1e20a059892e682">  185</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P50_Msk     0x00000101UL </span></div><div class="line"><a name="l00187"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e84e223e6e1f33d8a219695fa60c473">  187</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P51_GPIO    0x00000000UL </span></div><div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab20144e16c688858312ed2082a69974c">  188</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P51_XTAL2   0x00000002UL </span></div><div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1add6f08706a384155830e3decbcf8b9">  189</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P51_Msk     0x00000202UL </span></div><div class="line"><a name="l00191"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0ee0508d72d1ee687820f4f72bc34522">  191</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P52_GPIO    0x00000000UL </span></div><div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ac8300cc32e97417fd32726953d43b5">  192</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P52_INT1    0x00000004UL </span></div><div class="line"><a name="l00193"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5966ea517179b298f336dc49c0b9fe6e">  193</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P52_Msk     0x00000404UL </span></div><div class="line"><a name="l00195"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3dd917437709b19545b0b20e287241e6">  195</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P53_GPIO    0x00000000UL </span></div><div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga34342ee01ac435cc980f90f6ea73e1e7">  196</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P53_AIN0    0x00000008UL </span></div><div class="line"><a name="l00197"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9d82fab228877334a94fb5844270b49a">  197</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P53_Msk     0x00000808UL </span></div><div class="line"><a name="l00199"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga04a76f3edc5c963236f218e41870b233">  199</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P54_GPIO    0x00000000UL </span></div><div class="line"><a name="l00200"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga77f780bb42369ee5845e45739768c636">  200</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P54_Msk     0x00001010UL </span></div><div class="line"><a name="l00202"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f2eaf5844f09f8f09e9e00080fa0cb3">  202</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P55_GPIO    0x00000000UL </span></div><div class="line"><a name="l00203"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab671a9bffc3a28a2ea6a473cd5c9516d">  203</a></span>&#160;<span class="preprocessor">#define SYS_MFP_P55_Msk     0x00002020UL </span></div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="preprocessor"> </span><span class="comment">/* end of group MINI51_SYS_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00219"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed82cacd9e06315970dd4d6f7772dc5b">  219</a></span>&#160;<span class="preprocessor">#define SYS_CLEAR_BOD_INT_FLAG()        (SYS-&gt;BODCTL |= SYS_BODCR_BOD_INTF_Msk)</span></div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ecb9398a8a64f9c5edf70fe6aac3905">  228</a></span>&#160;<span class="preprocessor">#define SYS_CLEAR_BOD_LPM()             (SYS-&gt;BODCTL &amp;= ~SYS_BODCR_BOD_LPM_Msk)</span></div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga768d28264e9de705e1fcecd081c4704c">  237</a></span>&#160;<span class="preprocessor">#define SYS_DISABLE_BOD()               (SYS-&gt;BODCTL = (SYS-&gt;BODCTL &amp;~(SYS_BODCR_BOD_VL_Msk|SYS_BODCR_BOD_VL_EXT_Msk))|SYS_BODCR_BOD_DISABLE)</span></div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d01b7f4c7400109595965da54644db1">  246</a></span>&#160;<span class="preprocessor">#define SYS_ENABLE_BOD()                (SYS-&gt;BODCTL = (SYS-&gt;BODCTL &amp; ~SYS_BODCR_BOD_VL_Msk) | SYS_BODCR_BOD_VL_3_7V)</span></div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00255"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa143c2f95d839344a5f7ca9cb899fa07">  255</a></span>&#160;<span class="preprocessor">#define SYS_GET_BOD_INT_FLAG()          (SYS-&gt;BODCTL &amp; SYS_BODCR_BOD_INTF_Msk)</span></div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3021affb4789221a2616c47c3a9dc924">  265</a></span>&#160;<span class="preprocessor">#define SYS_GET_BOD_OUTPUT()            (SYS-&gt;BODCTL &amp; SYS_BODCR_BOD_OUT_Msk)</span></div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga920194a0a2675d959bea6bc980a64230">  274</a></span>&#160;<span class="preprocessor">#define SYS_DISABLE_BOD_RST()           (SYS-&gt;BODCTL &amp;= ~SYS_BODCR_BOD_RSTEN_Msk)</span></div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d0a0678f5f000cdc62887871d1802ff">  283</a></span>&#160;<span class="preprocessor">#define SYS_ENABLE_BOD_RST()            (SYS-&gt;BODCTL |= SYS_BODCR_BOD_RSTEN_Msk)</span></div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab72946358ea643256fb03e60feb3d8f4">  292</a></span>&#160;<span class="preprocessor">#define SYS_SET_BOD_LPM()               (SYS-&gt;BODCTL |= SYS_BODCR_BOD_LPM_Msk)</span></div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;</div><div class="line"><a name="l00305"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46edb120c56373a118b718343c319c77">  305</a></span>&#160;<span class="preprocessor">#define SYS_SET_BOD_LEVEL(u32Level) (SYS-&gt;BODCTL = (SYS-&gt;BODCTL &amp; ~SYS_BODCR_BOD_VL_Msk) | u32Level)</span></div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;</div><div class="line"><a name="l00314"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae5846760beb8ab0af65801ddfc327d63">  314</a></span>&#160;<span class="preprocessor">#define SYS_IS_BOD_RST()                (SYS-&gt;RSTSRC &amp; SYS_RSTSRC_RSTS_BOD_Msk)</span></div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;</div><div class="line"><a name="l00323"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab60985353247a98c40451146e324ac8c">  323</a></span>&#160;<span class="preprocessor">#define SYS_IS_CPU_RST()                (SYS-&gt;RSTSRC &amp; SYS_RSTSRC_RSTS_CPU_Msk)</span></div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;</div><div class="line"><a name="l00332"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ed11ba1130464efdb1762c73efa15de">  332</a></span>&#160;<span class="preprocessor">#define SYS_IS_POR_RST()                (SYS-&gt;RSTSRC &amp; SYS_RSTSRC_RSTS_POR_Msk)</span></div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;</div><div class="line"><a name="l00341"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a0a6032d2a8667694b98e6d217575ab">  341</a></span>&#160;<span class="preprocessor">#define SYS_IS_RSTPIN_RST()             (SYS-&gt;RSTSRC &amp; SYS_RSTSRC_RSTS_RESET_Msk)</span></div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;</div><div class="line"><a name="l00350"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1bd9b963e9433f56137b2d3af0aac52a">  350</a></span>&#160;<span class="preprocessor">#define SYS_IS_SYSTEM_RST()             (SYS-&gt;RSTSRC &amp; SYS_RSTSRC_RSTS_MCU_Msk)</span></div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00359"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9bd1908e7dfce8dfd174eed46a5590a0">  359</a></span>&#160;<span class="preprocessor">#define SYS_IS_WDT_RST()                (SYS-&gt;RSTSRC &amp; SYS_RSTSRC_RSTS_WDT_Msk)</span></div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;</div><div class="line"><a name="l00368"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga298641f692b14590369c4e1f0707ec4e">  368</a></span>&#160;<span class="preprocessor">#define SYS_DISABLE_POR()               (SYS-&gt;PORCR = 0x5AA5)</span></div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;</div><div class="line"><a name="l00377"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dad696b869bd863d4500f65843bdcd9">  377</a></span>&#160;<span class="preprocessor">#define SYS_ENABLE_POR()                (SYS-&gt;PORCR = 0)</span></div><div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;</div><div class="line"><a name="l00391"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4db2f98a2c1943518d02b83b9286620">  391</a></span>&#160;<span class="preprocessor">#define SYS_CLEAR_RST_SOURCE(u32RstSrc) (SYS-&gt;RSTSRC = u32RstSrc )</span></div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;</div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;</div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">SYS_ClearResetSrc</a>(uint32_t u32Src);</div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c9b646f6a8040ef12e8aa801b4a7f25">SYS_GetBODStatus</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">SYS_GetResetSrc</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">SYS_IsRegLocked</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2edc03f82c54243f3c5c7a5012d1d1">SYS_LockReg</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacf942387227541c12b798fcee79a56a0">SYS_UnlockReg</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;uint32_t  <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">SYS_ReadPDID</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">SYS_ResetChip</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">SYS_ResetCPU</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">SYS_ResetModule</a>(uint32_t u32ModuleIndex);</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">SYS_EnableBOD</a>(int32_t i32Mode, uint32_t u32BODLevel);</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">SYS_DisableBOD</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160; <span class="comment">/* end of group MINI51_SYS_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160; <span class="comment">/* end of group MINI51_SYS_Driver */</span></div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160; <span class="comment">/* end of group MINI51_Device_Driver */</span></div><div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;</div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;}</div><div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;</div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;<span class="preprocessor">#endif //__SYS_H__</span></div><div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga790f536ad44ceaec7e95f939d83137b9"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">SYS_EnableBOD</a></div><div class="ttdeci">void SYS_EnableBOD(int32_t i32Mode, uint32_t u32BODLevel)</div><div class="ttdoc">This function configure BOD function. Configure BOD reset or interrupt mode and set Brown-out voltage...</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00152">sys.c:152</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad35875e441a7602e8b265c09372a2d8d"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">SYS_IsRegLocked</a></div><div class="ttdeci">uint32_t SYS_IsRegLocked(void)</div><div class="ttdoc">This function check register write-protection bit setting.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00061">sys.c:61</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1f2edc03f82c54243f3c5c7a5012d1d1"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2edc03f82c54243f3c5c7a5012d1d1">SYS_LockReg</a></div><div class="ttdeci">void SYS_LockReg(void)</div><div class="ttdoc">This function enable register write-protection function.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00071">sys.c:71</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafabb183d573b69d6fb9bc208dfbfcd29"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">SYS_ClearResetSrc</a></div><div class="ttdeci">void SYS_ClearResetSrc(uint32_t u32Src)</div><div class="ttdoc">This function clear the selected system reset source.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00031">sys.c:31</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc85afae532807b21e6d9c11d0c3683f"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">SYS_ResetChip</a></div><div class="ttdeci">void SYS_ResetChip(void)</div><div class="ttdoc">This function reset chip.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00104">sys.c:104</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0c9b646f6a8040ef12e8aa801b4a7f25"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c9b646f6a8040ef12e8aa801b4a7f25">SYS_GetBODStatus</a></div><div class="ttdeci">uint32_t SYS_GetBODStatus(void)</div><div class="ttdoc">This function get Brown-out detector output status.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00042">sys.c:42</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0844b4c27424787d08fbcdcc74573a0a"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">SYS_ResetCPU</a></div><div class="ttdeci">void SYS_ResetCPU(void)</div><div class="ttdoc">This function reset CPU.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00113">sys.c:113</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gacf942387227541c12b798fcee79a56a0"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacf942387227541c12b798fcee79a56a0">SYS_UnlockReg</a></div><div class="ttdeci">void SYS_UnlockReg(void)</div><div class="ttdoc">This function disable register write-protection function.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00081">sys.c:81</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabc7601bc640a903ef512f39e08de164a"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">SYS_ReadPDID</a></div><div class="ttdeci">uint32_t SYS_ReadPDID(void)</div><div class="ttdoc">This function get product ID.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00095">sys.c:95</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9e848b58c75cca02dc03ad1b90383a87"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">SYS_ResetModule</a></div><div class="ttdeci">void SYS_ResetModule(uint32_t u32ModuleIndex)</div><div class="ttdoc">This function reset selected modules.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00132">sys.c:132</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga74255dfc44a997162d991a69a7d1fbf4"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">SYS_GetResetSrc</a></div><div class="ttdeci">uint32_t SYS_GetResetSrc(void)</div><div class="ttdoc">This function get the system reset source register value.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00051">sys.c:51</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad0fd5d8424b1d3dc3ec3e92829ed1142"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">SYS_DisableBOD</a></div><div class="ttdeci">void SYS_DisableBOD(void)</div><div class="ttdoc">This function disable BOD function.</div><div class="ttdef"><b>Definition:</b> <a href="sys_8c_source.html#l00163">sys.c:163</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
